Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.portlet.modules.map.actions.portlets
Class ToolbarPortletPerform

    java.lang.Object
      org.deegree.portal.portlet.modules.actions.AbstractPortletPerform
          org.deegree.portal.portlet.modules.map.actions.portlets.ToolbarPortletPerform

    public class ToolbarPortletPerform

extends AbstractPortletPerform

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`static String` | `INIT_BUTTONS`
`static String` | `INIT_COLS`
`static String` | `INIT_ORIENTATION`
`static String` | `INIT_ROWS`

Fields inherited from class org.deegree.portal.portlet.modules.actions.AbstractPortletPerform
`AVAILABLE_WMC, CURRENT_WMC, CURRENT_WMC_NAME, INIT_MAPPORTLETID, INIT_WMC, PARAM_MAPACTION, PARAM_MAPPORTLET, PARAM_MODE, parameter, portlet, request, SESSION_CURRENTFILAYER, SESSION_HOME, SESSION_VIEWCONTEXT`

Method Summary
`(package private) static ToolbarPortletPerform` | `getInstance(javax.servlet.http.HttpServletRequest request, org.apache.jetspeed.portal.Portlet portlet)` returns an instance of
`(package private) void` | `readInitParameter()` reads the init parameters of the ToolbarPortlet and writes them into the requests attributes.

Methods inherited from class org.deegree.portal.portlet.modules.actions.AbstractPortletPerform
`buildNormalContext, getInitParam, getMapPortletID, readMapContextID_`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INIT_BUTTONS

    public static final String INIT_BUTTONS

See Also:
  Constant Field Values

### INIT_ORIENTATION

    public static final String INIT_ORIENTATION

See Also:
  Constant Field Values

### INIT_COLS

    public static final String INIT_COLS

See Also:
  Constant Field Values

### INIT_ROWS

    public static final String INIT_ROWS

See Also:
  Constant Field Values

Method Detail

### getInstance

    static ToolbarPortletPerform getInstance(javax.servlet.http.HttpServletRequest request,
                                             org.apache.jetspeed.portal.Portlet portlet)

  returns an instance of

  Parameters:
    `request` -
    `portlet` -
  Returns:
    an instance of
  See Also:
    `MapWindowPortletPerform`, `MapWindowPortletPerform`

### readInitParameter

    void readInitParameter()
                     throws PortalException

  reads the init parameters of the ToolbarPortlet and writes them into the requests attributes.

  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org